Subject: Re: bug#51411: NS port cleanups

From: Po Lu <[email-masked]>
Date: Sun, 31 Oct 2021 19:26:05 +0800

Alan Third <[email-masked]> writes:

> I noticed that you removed all calls to ns_focus in
> ns_draw_window_cursor and thought you'd removed all calls to ns_focus,
> but now I see that's an older change.
>
> Is that a good idea? I think ns_draw_window_cursor is sometimes called
> without matching ns_update_begin/end calls, so it needs to focus, or am I
> misunderstanding the flow?

I don't know if ns_draw_window_cursor is called outside
ns_update_begin/end, but if that's the case then I'm not sure how, for
instance, double buffering would work on the X port.

Thanks.